diff --git a/Make.bat b/Make.bat
index b42238a36..e95d4434b 100644
--- a/Make.bat
+++ b/Make.bat
@@ -265,12 +265,6 @@ REM Main build sequence Ends
     ECHO Staging pgAdmin4.exe...
     COPY "%WD%\runtime\release\pgAdmin4.exe" "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
 
-    ECHO Staging dark and light theme components...
-    COPY "%WD%\runtime\dark.qss" "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
-    COPY "%WD%\runtime\light.qss" "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
-    XCOPY /S /I /E /H /Y "%WD%\runtime\dark" "%PGBUILDPATH%\runtime\dark" > nul || EXIT /B 1
-    XCOPY /S /I /E /H /Y "%WD%\runtime\light" "%PGBUILDPATH%\runtime\light" > nul || EXIT /B 1
-
     ECHO Staging Qt components...
     COPY "%QTDIR%\bin\Qt5Core.dll"   "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
     COPY "%QTDIR%\bin\Qt5Gui.dll"    "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
@@ -282,6 +276,8 @@ REM Main build sequence Ends
     IF EXIST "%QTDIR%\bin\libwinpthread-1.dll" COPY "%QTDIR%\bin\libwinpthread-1.dll" "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
     MKDIR "%PGBUILDPATH%\runtime\platforms" > nul || EXIT /B 1
     COPY "%QTDIR%\plugins\platforms\qwindows.dll" "%PGBUILDPATH%\runtime\platforms" > nul || EXIT /B 1
+    MKDIR "%PGBUILDPATH%\runtime\imageformats" > nul || EXIT /B 1
+    COPY "%QTDIR%\plugins\imageformats\qsvg.dll" "%PGBUILDPATH%\runtime\imageformats" > nul || EXIT /B 1
     ECHO [Paths] > "%PGBUILDPATH%\runtime\qt.conf"
     ECHO Plugins=plugins >> "%PGBUILDPATH%\runtime\qt.conf"
 
diff --git a/pkg/mac/build.sh b/pkg/mac/build.sh
index 8308a82d1..c8b443b70 100755
--- a/pkg/mac/build.sh
+++ b/pkg/mac/build.sh
@@ -153,7 +153,6 @@ _build_runtime() {
     ${QMAKE} || { echo qmake failed; exit 1; }
     make || { echo make failed; exit 1; }
     cp -r pgAdmin4.app "${BUILDROOT}/${APP_BUNDLE_NAME}"
-    cp -r dark light dark.qss light.qss "${BUILDROOT}/${APP_BUNDLE_NAME}/Contents/Resources/"
 }
 
 _build_doc() {
diff --git a/pkg/mac/complete-bundle.sh b/pkg/mac/complete-bundle.sh
index 985bbc802..1cc6b8e31 100755
--- a/pkg/mac/complete-bundle.sh
+++ b/pkg/mac/complete-bundle.sh
@@ -23,7 +23,9 @@ EOF
 
 test -d "${bundle}/Contents/Frameworks" || mkdir -p "${bundle}/Contents/Frameworks" || exit 1
 test -d "${bundle}/Contents/PlugIns/platforms" || mkdir -p "${bundle}/Contents/PlugIns/platforms" || exit 1
+test -d "${bundle}/Contents/PlugIns/imageformats" || mkdir -p "${bundle}/Contents/PlugIns/imageformats" || exit 1
 cp -f ${QTDIR}/plugins/platforms/libqcocoa.dylib "${bundle}/Contents/PlugIns/platforms" || { echo libqcocoa.dylib not found in ${QTDIR}/plugins/platforms; exit 1; }
+cp -f ${QTDIR}/plugins/imageformats/libqsvg.dylib "${bundle}/Contents/PlugIns/imageformats" || { echo libqsvg.dylib not found in ${QTDIR}/plugins/imageformats; exit 1; }
 cp -f ${PGDIR}/lib/libpq.5.dylib "${bundle}/Contents/Frameworks" || { echo libpq.5.dylib not found in ${PGDIR}; exit 1; }
 
 function CompleteSingleApp() {
@@ -59,6 +61,8 @@ function CompleteSingleApp() {
 			); do
 				if echo ${lib} | grep "PlugIns\|libqcocoa"  > /dev/null; then
 					lib_loc="Contents/PlugIns/platforms"
+				elif echo ${lib} | grep "PlugIns\|libqsvg"  > /dev/null; then
+					lib_loc="Contents/PlugIns/imageformats"
 				elif echo ${lib} | grep "Qt" > /dev/null; then
 					qtfw_path="$(dirname ${lib} | sed 's|.*\(Qt.*framework\)|\1|')"
 					lib_loc="Contents/Frameworks/${qtfw_path}"
diff --git a/pkg/win32/installer.iss.in b/pkg/win32/installer.iss.in
index 560f00601..7deb925f3 100644
--- a/pkg/win32/installer.iss.in
+++ b/pkg/win32/installer.iss.in
@@ -294,8 +294,6 @@ begin
       begin
         DelWebfolder(ExpandConstant('{app}\web'));
         DelFolder(ExpandConstant('{app}\venv'));
-        DelFolder(ExpandConstant('{app}\runtime\dark'));
-        DelFolder(ExpandConstant('{app}\runtime\light'));
       end;
 	end;
   end;
